ssh_server_callbacks(3)

NAME
ssh_server_callbacks - This structure can be used to implement a libssh server, with appropriate callbacks.

SYNOPSIS

#include <include/libssh/callbacks.h>

  Data Fields
ssh_auth_gssapi_mic_callback auth_gssapi_mic_function
This function gets called when a client tries to authenticate through gssapi-mic method.
ssh_auth_none_callback auth_none_function
This function gets called when a client tries to authenticate through none method.
ssh_auth_password_callback auth_password_function
This function gets called when a client tries to authenticate through password method.
ssh_auth_pubkey_callback auth_pubkey_function
this function gets called when a client tries to authenticate or offer a public key.
ssh_channel_open_request_session_callback channel_open_request_session_function
This functions gets called when a new channel request is issued by the client.
ssh_gssapi_accept_sec_ctx_callback gssapi_accept_sec_ctx_function
This function will be called when a gssapi token comes in.
ssh_gssapi_select_oid_callback gssapi_select_oid_function
This function will be called when a new gssapi authentication is attempted.
ssh_service_request_callback service_request_function
This functions gets called when a service request is issued by the client.
size_t size
DON'T SET THIS use ssh_callbacks_init() instead.
void * userdata
User-provided data.

Detailed Description

This structure can be used to implement a libssh server, with appropriate callbacks.

Field Documentation

  size_t ssh_server_callbacks::size

DON'T SET THIS use ssh_callbacks_init() instead.

  void* ssh_server_callbacks::userdata

User-provided data. User is free to set anything he wants here

Author

Generated automatically by Doxygen for libssh from the source code.